account arrowhead-down arrowhead-up cart mobile-menu search sm-bold-x x-skinny-rounded x-skinny arrowhead-right

Please help us improve our website

Take our customer survey to evaluate your visit.

It should only take a few minutes to answer five quick questions. Just click the Launch survey button at the end of your visit to begin.

cancel
Showing results for 
Search instead for 
Did you mean: 

i need to downgrade from 4.1.2 to 4.0.4 because of wifi problem

One time poster
Message 1 of 5
Message 1 of 5

i need to downgrade from 4.1.2 to 4.0.4 because of wifi problem

hi

when i bought Xperia J, it was running ICS 4.0.4 and it was ok

when i updated it to Jelly Bean 4.1.2, i had a problem with wifi like a lot of you

i knew that this problem depends on your region and there's no fix until now

so i need to downgrade to 4.0.4 which is the only solution as i know

could you please help me how to downgrade?

where can i find a firmware that supports arabic (middle east)?

does any Rom work with me or not?

4 REPLIES
Elite
Message 2 of 5
Message 2 of 5

Re: i need to downgrade from 4.1.2 to 4.0.4 because of wifi problem

you can downgrade here

http://talk.sonymobile.com/thread/41609

as far as middle east firmware you might want to check the XDA forum or wotanserver

Don't forget to mark the Correct Answers & Helpful Answers

"I'd rather be hated for who I am, than loved for who I am not." Kurt Cobain (1967-1994)

Visitor
Message 3 of 5
Message 3 of 5

Re: i need to downgrade from 4.1.2 to 4.0.4 because of wifi problem

 
Visitor
Message 4 of 5
Message 4 of 5

Re: i need to downgrade from 4.1.2 to 4.0.4 because of wifi problem

I like Sony.but my xperia j is too bad.
Visitor
Message 5 of 5
Message 5 of 5

Re: i need to downgrade from 4.1.2 to 4.0.4 because of wifi problem

Please let me download for my xperia j.